<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net7.0</TargetFramework>
		<RootNamespace>Insight.Agent</RootNamespace>
		<Product>Insight</Product>
		<AssemblyName>agent</AssemblyName>
		<AssemblyVersion>2023.9.14.0</AssemblyVersion>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <DebugType>none</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <DebugType>none</DebugType>
	</PropertyGroup>
	
	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="7.0.0" />
		<PackageReference Include="Microsoft.Extensions.Hosting.Systemd" Version="7.0.0" />
		<PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
		<PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
		<PackageReference Include="System.Management" Version="7.0.2" />
		<PackageReference Include="System.ServiceProcess.ServiceController" Version="7.0.1" />
		<PackageReference Include="Microsoft.PowerShell.SDK" Version="7.3.7" />
	</ItemGroup>
	
	<ItemGroup>
	  <ProjectReference Include="..\Insight.Agent.Assets\Insight.Agent.Assets.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Reference Include="Interop.WUApiLib">
			<HintPath>Assemblies\Interop.WUApiLib.dll</HintPath>
			<Private>True</Private>
			<EmbedInteropTypes>False</EmbedInteropTypes>
		</Reference>
	</ItemGroup>

	<ItemGroup>
	  <None Update="appsettings.Development.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="appsettings.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	</ItemGroup>

</Project>
